Enrichment

Enrich Contacts

POST/v1/enrich/contact
POST
/v1/enrich/contact

Enrich people by LinkedIn URL or full name + company or Lead Ids. Maximum 100 allowed

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

linkedin_urlarray<string>

LinkedIn profile URLs to enrich (max 100)

Example: ["https://linkedin.com/in/johndoe"]

lead_idarray<number>

Lead IDs to enrich (max 100)

Example: [12345,67890]

reveal_phoneboolean

Whether to reveal phone numbers

Default: false

webhook_urlstring

Webhook URL to call when enrichment completes

full_name_with_companyarray<object>

Full name + company combinations to enrich (max 100)

Responses

200
Enrichment job created. Returns a requestId to track progress.
{
  "message": "Success",
  "payload": {
    "requestId": "64f1a2b3c4d5e6f7a8b9c0d1"
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/enrich/contact" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "linkedin_url": [
    "https://linkedin.com/in/johndoe"
  ],
  "lead_id": [
    12345,
    67890
  ],
  "reveal_phone": false,
  "webhook_url": "string",
  "full_name_with_company": [
    {
      "first_name": "string",
      "last_name": "string",
      "company_domain": "acme.com",
      "company_website": "https://acme.com"
    }
  ]
}'

Response

No response body